#include "..\r7_vessel2m_VL\vessel2m.h"

// physics and geometry
const		double		EMPTY_MASS = 50;

// attachment point
const		VECTOR3		APOINT = {0, 0, -0.22};
const		VECTOR3		ADIR = {0, 0, -1};
const		VECTOR3		AROT = {1, 0, 0};

// separation motors

const		double		FUEL_MASS = 1;
const		double		MAX_THRUST = 100*G;
const		double		MAX_ISP = 2100;

const		double		ZREF = -0.5;
const		VECTOR3		T01_REF = {1.229, 0, ZREF};
const		VECTOR3		T02_REF = {0, 1.229, ZREF};
const		VECTOR3		T03_REF = {-1.229, 0, ZREF};
const		VECTOR3		T04_REF = {0, -1.229, ZREF};

const		VECTOR3		T01_DIR = {-sin(24.385*RAD), 0, cos(24.385*RAD)};
const		VECTOR3		T02_DIR = {0, -sin(24.385*RAD), cos(24.385*RAD)};
const		VECTOR3		T03_DIR = {sin(24.385*RAD), 0, cos(24.385*RAD)};
const		VECTOR3		T04_DIR = {0, sin(24.385*RAD), cos(24.385*RAD)};


class r7_BlockE_fairing_VL: public VESSEL2M
{
public:
	r7_BlockE_fairing_VL(OBJHANDLE, int);
	void clbkSetClassCaps(FILEHANDLE);
	void clbkPostStep(double, double, double);

private:
};
